Bug 437423 - Add Xen disk and network paravirtualized drivers to bare-metal kernel
Add Xen disk and network paravirtualized drivers to bare-metal kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen (Show other bugs)
4.6
All Linux
high Severity low
: rc
: ---
Assigned To: Don Dutile
Martin Jenner
:
Depends On:
Blocks: RHEL4u7_relnotes 424871 446099
  Show dependency treegraph
 
Reported: 2008-03-13 19:46 EDT by Don Dutile
Modified: 2008-07-24 15:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Dutile 2008-03-13 19:46:48 EDT
Description of problem:
Performance of a bare-metal kernel as a fully-virtualized guest (FV guest)
on a Xen host can be significantly improved with the addition of xen
paravirtualized disk and network drivers.
This support is currently provided by a set of asynch drivers
"xenpv", and requires significant hand-holding by a system admin.
in order to use them.
Adding them directly to the bare-metal kernel significantly eases the
use of pv disk and network for FV guests, improving the overall product
in a virtual environment

Version-Release number of selected component (if applicable): 4.7


How reproducible:
Compare a 4.6 kernel FV guest performing disk or network IO in comparison to the
same kernel with the kmod-xenpv, rhel4 package added and using pv disk and
network interfaces.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Burns 2008-03-14 05:57:34 EDT
Set dev ack for Don.
Comment 3 Don Dutile 2008-03-19 17:59:07 EDT
Posted patches to 4.7.
Comment 4 Vivek Goyal 2008-04-08 16:23:49 EDT
Committed in 68.32.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 7 Don Domingo 2008-06-05 01:48:03 EDT
added to RHEL4.7 release notes under "Feature Updates => Virtualization":

<quote>
    This update implements the use of paravirtualized block device and network
drivers, which improve the performance of fully-virtualized guests. These
drivers are provided in the pv-on-hvm package.

    In addition, you can now use more than three virtual network interface
(VNIF) numbers per guest domain.
</quote>

please advise if any further revisions are required. thanks!
Comment 8 Don Dutile 2008-06-05 10:40:35 EDT
the pv-on-hvm drivers are built into the rhel4.7 kernel package.

The separate, xenpv-<rev>.el4 package(s) are no longer needed 
for 4.7 and beyond.

the pv-on-hvm drivers can be found in the sources under
<kernel-src>/drivers/xenpv_hvm

- Don
Comment 9 Don Domingo 2008-06-22 20:32:03 EDT
revised as follows:

<quote>
    This update implements the use of paravirtualized block device and network
drivers, which improve the performance of fully-virtualized guests.γ€€In
addition, you can now use more than three virtual network interface
(VNIF) numbers per guest domain.
</quote>

please advise if any further revisions are required. thanks!
Comment 11 errata-xmlrpc 2008-07-24 15:27:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.